<template>
  <div></div>
</template>
<script>
export default {
  onLoad(query) {
    uni.showModal({
      title: `是否下载${query.name}.pdf`,
      content: "",
      success(res) {
        if (res.confirm) {
          uni.downloadFile({
            url: query.src,
            success(res) {
               console.log(res)
              uni.openDocument({
                filePath: res.tempFilePath,
                fileName:`${query.name}.pdf`,
                fileType: "pdf",
              });
            },
            fail(err) {
              console.log(err);
            },
          });
        }
      },
    });

    // console.log(query);
    // uni.showModal({
    //   title: "是否下载该pdf",
    //   content: query.name + ".pdf",
    //   success(res) {
    //     if (res.confirm) {
    //       uni.downloadFile({
    //         url: query.src,
    //         success(res) {
    //             console.log(res)

    //         },
    //       });
    //     }
    //   },
    // });
  },
};
</script>

<style lang="less" scoped>

</style>